# Get Merchant Account Information

Request to retrieve merchant account information.

<kbd><mark style="color:blue;">GET<mark style="color:blue;"></kbd> [<mark style="color:$primary;">https://app.goodpayments.io/v1/api/merchant</mark>](https://app.goodpayments.io/v1/api/merchant)

### Headers

| Name            | Type   | Description             | Example                                                          |
| --------------- | ------ | ----------------------- | ---------------------------------------------------------------- |
| Authorization\* | string | Unique Merchant API Key | 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662 |

### **Request Body**

This request does not require a request body.

### **Request** **Example**

```yaml
curl -X 'GET' \
  'https://app.goodpayments.io/v1/api/merchant' \
  -H 'accept: application/json' \
  -H 'Authorization: 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662'
```

### Response Parameters

| Name                        | Type    | Description                                                      | Example                            |
| --------------------------- | ------- | ---------------------------------------------------------------- | ---------------------------------- |
| email                       | string  | Email address provided during account registration               | <example@gmail.com>                |
| balance                     | number  | Merchant balance used to pay service fees (TRX)                  | 771.011200337155                   |
| target\_wallet\_address     | string  | The wallet address where incoming invoice payments are forwarded | TQ7yFpVJh1zdQRVkBmi5EbtoTunkURNwst |
| topup\_wallet\_address      | string  | The wallet address used to top up your service-fee balance       | TEhxXuomfC57nX7ohdiRHVm6DF5Ram6YAr |
| activation\_wallet\_address | string  | The wallet address used to fund address activations              | TSsixXatTUkAn8LsfRQdjwk3dUDQD2PD2u |
| activation\_balance         | number  | Activation wallet balance (TRX)                                  | 4524.233396065855                  |
| aml\_check                  | boolean | AML check enabled                                                | true                               |
| aml\_risk\_limit            | integer | Risk threshold                                                   | 50.04                              |

### Response Example

{% tabs %}
{% tab title="200 Success" %}

```json
{
  "email": "example@gmail.com",
  "balance": 771.011200337155,
  "target_wallet_address": "TQ7yFpVJh1zdQRVkBmi5EbtoTunkURNwst",
  "topup_wallet_address": "TEhxXuomfC57nX7ohdiRHVm6DF5Ram6YAr",
  "activation_wallet_address": "TSsixXatTUkAn8LsfRQdjwk3dUDQD2PD2u",
  "activation_balance": 4524.233396065855,
  "aml_check": true,
  "aml_risk_limit": 50.04
}
```

{% endtab %}

{% tab title="403 Authentication credentials were not provided" %}

```json
{
  "detail": "Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

### **Possible Errors**

If the request does not contain a valid API key in the header or IP address is not in Whitelist, the server will return a **403** response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://goodpayments.gitbook.io/docs/api-reference/api-methods-overview-request-response-structure/get-merchant-account-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
